linux-armadaxp: 3.2.0-1645.64 -proposed tracker

Bug #1420561 reported by Brad Figg on 2015-02-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Automated-testing
Medium
Registry Administrators
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Ike Panhc
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Unassigned
Verification-testing
Medium
Ike Panhc
linux-armadaxp (Ubuntu)
Medium
Unassigned
Precise
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.2.0-1645.64 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 11. February 2015 01:04 UTC
kernel-stable-master-bug:1419968
kernel-stable-Certification-testing-end:Wednesday, 11. February 2015 06:01 UTC
kernel-stable-Security-signoff-end:Wednesday, 11. February 2015 06:01 UTC
kernel-stable-Prepare-package-end:Wednesday, 11. February 2015 11:02 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 11. February 2015 11:02 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 12. February 2015 19:40 UTC
kernel-stable-Verification-testing-start:Thursday, 12. February 2015 21:01 UTC
kernel-stable-Regression-testing-start:Thursday, 12. February 2015 21:01 UTC
kernel-stable-Regression-testing-end:Monday, 16. February 2015 03:01 UTC
kernel-stable-Promote-to-updates-start:Thursday, 19. February 2015 22:01 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 24. February 2015 20:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 24. February 2015 21:04 UTC

This tracking bug was opened to be worked from linux-3.2.0-77.112 update (bug 1419968)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Precise):
importance: Undecided → Medium
Ike Panhc (ikepanhc) on 2015-02-11
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.2.0-1645.64 -proposed tracker
description: updated
Brad Figg (brad-figg) on 2015-02-11
description: updated
Ike Panhc (ikepanhc) on 2015-02-11
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Changed in linux-armadaxp (Ubuntu):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Precise):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux-armadaxp | 3.2.0-1645.64 | precise-proposed | source
 linux-meta-armadaxp | 3.2.0.1645.51 | precise-proposed | source

Brad Figg (brad-figg) on 2015-02-12
description: updated
Brad Figg (brad-figg) on 2015-02-12
description: updated
Ike Panhc (ikepanhc) wrote :

bug 1412331 is verified

Smoke functional test (SMP, reboot, SATA, networking) Passed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-02-16
description: updated
Brad Figg (brad-figg) on 2015-02-19
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-armadaxp - 3.2.0-1645.64

---------------
linux-armadaxp (3.2.0-1645.64) precise; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1420561
  * Rebase to Ubuntu-3.2.0-77.112
  * [Config] Disable HOTPLUG_CPU and SUSPEND
    - LP: #1412331

  [ Ubuntu: 3.2.0-77.112 ]

  * Release Tracking Bug
    - LP: #1419968
  * [Packaging] force "dpkg-source -I -i" behavior
  * isofs: Fix unchecked printing of ER records
    - LP: #1409808
    - CVE-2014-9584
  * KEYS: close race between key lookup and freeing
    - LP: #1409048
    - CVE-2014-9529
  * vfs: new internal helper: mnt_has_parent(mnt)
    - LP: #1383356
    - CVE-2014-7970
  * vfs: more mnt_parent cleanups
    - LP: #1383356
    - CVE-2014-7970
  * mnt: Prevent pivot_root from creating a loop in the mount tree
    - LP: #1383356
    - CVE-2014-7970
  * netfilter: conntrack: disable generic tracking for known protocols
    - LP: #1413109
    - CVE-2014-8160
  * KVM: x86 emulator: reject SYSENTER in compatibility mode on AMD guests
    - LP: #1414651
    - CVE-2015-0239
  * KVM: x86: SYSENTER emulation is broken
    - LP: #1414651
    - CVE-2015-0239
  * x86_64, vdso: Fix the vdso address randomization algorithm
    - LP: #1409811
    - CVE-2014-9585
  * crypto: prefix module autoloading with "crypto-"
    - LP: #1415507
    - CVE-2013-7421
  * crypto: add missing crypto module aliases
    - LP: #1415507
    - CVE-2013-7421
  * crypto: include crypto- module prefix in template
    - LP: #1415632
    - CVE-2014-9644
 -- Ike Panhc <email address hidden> Wed, 11 Feb 2015 15:13:52 +0800

Changed in linux-armadaxp (Ubuntu Precise):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2015-02-24
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers